OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.HP.ImageTransform

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetHPImageTransform :: MonadIO m => m Bool
- gl_HP_image_transform :: Bool
- pattern GL_AVERAGE_HP :: GLenum
- pattern GL_CUBIC_HP :: GLenum
- pattern GL_IMAGE_CUBIC_WEIGHT_HP :: GLenum
- pattern GL_IMAGE_MAG_FILTER_HP :: GLenum
- pattern GL_IMAGE_MIN_FILTER_HP :: GLenum
- pattern GL_IMAGE_ROTATE_ANGLE_HP :: GLenum
- pattern GL_IMAGE_ROTATE_ORIGIN_X_HP :: GLenum
- pattern GL_IMAGE_ROTATE_ORIGIN_Y_HP :: GLenum
- pattern GL_IMAGE_SCALE_X_HP :: GLenum
- pattern GL_IMAGE_SCALE_Y_HP :: GLenum
- pattern GL_IMAGE_TRANSFORM_2D_HP :: GLenum
- pattern GL_IMAGE_TRANSLATE_X_HP :: GLenum
- pattern GL_IMAGE_TRANSLATE_Y_HP :: GLenum
- pattern GL_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP :: GLenum
- pattern GL_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP :: GLenum
- glGetImageTransformParameterfvHP :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetImageTransformParameterivHP :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glImageTransformParameterfHP :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glImageTransformParameterfvHP :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glImageTransformParameteriHP :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glImageTransformParameterivHP :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetHPImageTransform :: MonadIO m => m Bool Source #

Is the HP_image_transform extension supported?

gl_HP_image_transform :: Bool Source #

Is the HP_image_transform extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetHPImageTransform` in those cases instead.

# Enums

pattern GL_AVERAGE_HP :: GLenum Source #

pattern GL_CUBIC_HP :: GLenum Source #

pattern GL_IMAGE_CUBIC_WEIGHT_HP :: GLenum Source #

pattern GL_IMAGE_MAG_FILTER_HP :: GLenum Source #

pattern GL_IMAGE_MIN_FILTER_HP :: GLenum Source #

pattern GL_IMAGE_ROTATE_ANGLE_HP :: GLenum Source #

pattern GL_IMAGE_ROTATE_ORIGIN_X_HP :: GLenum Source #

pattern GL_IMAGE_ROTATE_ORIGIN_Y_HP :: GLenum Source #

pattern GL_IMAGE_SCALE_X_HP :: GLenum Source #

pattern GL_IMAGE_SCALE_Y_HP :: GLenum Source #

pattern GL_IMAGE_TRANSFORM_2D_HP :: GLenum Source #

pattern GL_IMAGE_TRANSLATE_X_HP :: GLenum Source #

pattern GL_IMAGE_TRANSLATE_Y_HP :: GLenum Source #

pattern GL_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP :: GLenum Source #

pattern GL_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP :: GLenum Source #

# Functions

glGetImageTransformParameterfvHP Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ImageTransformTargetHP.
-> GLenum | `pname` of type ImageTransformPNameHP.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetImageTransformParameterivHP Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ImageTransformTargetHP.
-> GLenum | `pname` of type ImageTransformPNameHP.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glImageTransformParameterfHP Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ImageTransformTargetHP.
-> GLenum | `pname` of type ImageTransformPNameHP.
-> GLfloat | `param`.
-> m () |

glImageTransformParameterfvHP Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ImageTransformTargetHP.
-> GLenum | `pname` of type ImageTransformPNameHP.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glImageTransformParameteriHP Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ImageTransformTargetHP.
-> GLenum | `pname` of type ImageTransformPNameHP.
-> GLint | `param`.
-> m () |

glImageTransformParameterivHP Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ImageTransformTargetHP.
-> GLenum | `pname` of type ImageTransformPNameHP.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |